<?php declare(strict_types=1);


namespace Pinpoint\DropShipping\Model\Data;

use Pinpoint\DropShipping\Api\Data\SupplierInterface;


class Supplier extends \Magento\Framework\Api\AbstractExtensibleObject implements SupplierInterface
{

    /**
     * Get supplier_id
     * @return string|null
     */
    public function getSupplierId()
    {
        return $this->_get(self::SUPPLIER_ID);
    }

    /**
     * Set supplier_id
     * @param string $supplierId
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setSupplierId($supplierId)
    {
        return $this->setData(self::SUPPLIER_ID, $supplierId);
    }

    /**
     * Get code
     * @return string|null
     */
    public function getCode()
    {
        return $this->_get(self::CODE);
    }

    /**
     * Set code
     * @param string $code
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCode($code)
    {
        return $this->setData(self::CODE, $code);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\DropShipping\Api\Data\SupplierExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\DropShipping\Api\Data\SupplierExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\DropShipping\Api\Data\SupplierExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }

    /**
     * Get status
     * @return string|null
     */
    public function getStatus()
    {
        return $this->_get(self::STATUS);
    }

    /**
     * Set status
     * @param string $status
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setStatus($status)
    {
        return $this->setData(self::STATUS, $status);
    }

    /**
     * Get gr_account_number
     * @return string|null
     */
    public function getGrAccountNumber()
    {
        return $this->_get(self::GR_ACCOUNT_NUMBER);
    }

    /**
     * Set gr_account_number
     * @param string $grAccountNumber
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setGrAccountNumber($grAccountNumber)
    {
        return $this->setData(self::GR_ACCOUNT_NUMBER, $grAccountNumber);
    }

    /**
     * Get email_address
     * @return string|null
     */
    public function getEmailAddress()
    {
        return $this->_get(self::EMAIL_ADDRESS);
    }

    /**
     * Set email_address
     * @param string $emailAddress
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setEmailAddress($emailAddress)
    {
        return $this->setData(self::EMAIL_ADDRESS, $emailAddress);
    }

    /**
     * Get company
     * @return string|null
     */
    public function getCompany()
    {
        return $this->_get(self::COMPANY);
    }

    /**
     * Set company
     * @param string $company
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCompany($company)
    {
        return $this->setData(self::COMPANY, $company);
    }

    /**
     * Get contact_name
     * @return string|null
     */
    public function getContactName()
    {
        return $this->_get(self::CONTACT_NAME);
    }

    /**
     * Set contact_name
     * @param string $contactName
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setContactName($contactName)
    {
        return $this->setData(self::CONTACT_NAME, $contactName);
    }

    /**
     * Get phone
     * @return string|null
     */
    public function getPhone()
    {
        return $this->_get(self::PHONE);
    }

    /**
     * Set phone
     * @param string $phone
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setPhone($phone)
    {
        return $this->setData(self::PHONE, $phone);
    }

    /**
     * Get house_number
     * @return string|null
     */
    public function getHouseNumber()
    {
        return $this->_get(self::HOUSE_NUMBER);
    }

    /**
     * Set house_number
     * @param string $houseNumber
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setHouseNumber($houseNumber)
    {
        return $this->setData(self::HOUSE_NUMBER, $houseNumber);
    }

    /**
     * Get street
     * @return string|null
     */
    public function getStreet()
    {
        return $this->_get(self::STREET);
    }

    /**
     * Set street
     * @param string $street
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setStreet($street)
    {
        return $this->setData(self::STREET, $street);
    }

    /**
     * Get city
     * @return string|null
     */
    public function getCity()
    {
        return $this->_get(self::CITY);
    }

    /**
     * Set city
     * @param string $city
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCity($city)
    {
        return $this->setData(self::CITY, $city);
    }

    /**
     * Get county
     * @return string|null
     */
    public function getCounty()
    {
        return $this->_get(self::COUNTY);
    }

    /**
     * Set county
     * @param string $county
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCounty($county)
    {
        return $this->setData(self::COUNTY, $county);
    }

    /**
     * Get post_code
     * @return string|null
     */
    public function getPostCode()
    {
        return $this->_get(self::POST_CODE);
    }

    /**
     * Set post_code
     * @param string $postCode
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setPostCode($postCode)
    {
        return $this->setData(self::POST_CODE, $postCode);
    }

    /**
     * Get country
     * @return string|null
     */
    public function getCountry()
    {
        return $this->_get(self::COUNTRY);
    }

    /**
     * Set country
     * @param string $country
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCountry($country)
    {
        return $this->setData(self::COUNTRY, $country);
    }

    /**
     * Get method
     * @return string|null
     */
    public function getMethod()
    {
        return $this->_get(self::METHOD);
    }

    /**
     * Set method
     * @param string $method
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setMethod($method)
    {
        return $this->setData(self::METHOD, $method);
    }

    /**
     * Get first_email_address
     * @return string|null
     */
    public function getFirstEmailAddress()
    {
        return $this->_get(self::FIRST_EMAIL_ADDRESS);
    }

    /**
     * Set first_email_address
     * @param string $firstEmailAddress
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setFirstEmailAddress($firstEmailAddress)
    {
        return $this->setData(self::FIRST_EMAIL_ADDRESS, $firstEmailAddress);
    }

    /**
     * Get second_email_address
     * @return string|null
     */
    public function getSecondEmailAddress()
    {
        return $this->_get(self::SECOND_EMAIL_ADDRESS);
    }

    /**
     * Set second_email_address
     * @param string $secondEmailAddress
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setSecondEmailAddress($secondEmailAddress)
    {
        return $this->setData(self::SECOND_EMAIL_ADDRESS, $secondEmailAddress);
    }

    /**
     * Get feed_name
     * @return string|null
     */
    public function getFeedName()
    {
        return $this->_get(self::FEED_NAME);
    }

    /**
     * Set feed_name
     * @param string $feedName
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setFeedName($feedName)
    {
        return $this->setData(self::FEED_NAME, $feedName);
    }

    /**
     * Get output_directory
     * @return string|null
     */
    public function getOutputDirectory()
    {
        return $this->_get(self::OUTPUT_DIRECTORY);
    }

    /**
     * Set output_directory
     * @param string $outputDirectory
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setOutputDirectory($outputDirectory)
    {
        return $this->setData(self::OUTPUT_DIRECTORY, $outputDirectory);
    }
}

